Skip to main content
GET
Event stream

Authorizations

Authorization
string
header
required

Agent token (alt_…) or OAuth access token; bound to one agent

Path Parameters

inboxId
string
required

Inbox id

Query Parameters

cursor
string

Resume after this cursor from a previous response; omit to start at the newest event

Pattern: ^\d{1,18}$
types
enum<string>[]

Only these event types

Maximum array length: 20
Available options:
message.received,
message.quarantined,
message.sent,
message.delivered,
message.delivery_delayed,
message.bounced,
message.complained,
message.failed,
message.approval_requested,
message.approved,
message.rejected,
thread.updated,
inbox.created,
inbox.deleted,
domain.verified,
sms.received,
sms.quarantined,
sms.sent,
sms.delivered,
sms.failed,
social.account_connected,
social.account_disconnected,
social.post_published,
social.post_failed,
social.message_received,
social.comment_received
limit
integer
Required range: 1 <= x <= 100
wait
integer

Seconds to hold the request open waiting for an event (long-poll, maximum 25)

Required range: 0 <= x <= 25

Response

Events and the cursor to resume from

events
object[]
required
cursor
string
required

Pass back as cursor to read only newer events